import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:task28/items/appbar.dart';
import 'package:task28/model/matches_model.dart';
import 'package:task28/ui/title_text.dart';
import 'package:task28/unit/color.dart';


class LiveLineScreen extends StatefulWidget {
  const LiveLineScreen({Key? key}) : super(key: key);

  @override
  _LiveLineScreenState createState() => _LiveLineScreenState();
}

class _LiveLineScreenState extends State<LiveLineScreen> {
  TabBar get _tabBar => TabBar(
    labelColor: AppColor.bgsplash,
    unselectedLabelColor: Colors.grey,
    tabs: [
      Tab(text: "Live",),
      Tab(text: "Score Car",),
      Tab(text: "Points",),
      Tab(text: "Info",),
    ],
  );

  Widget _recentMatches() {
    return DefaultTabController(
      length: 4,
      child: Scaffold(
        appBar: AppBar(

            backgroundColor: AppColor.bgsplash,
            leading: Container(
              padding: const EdgeInsets.all(15.0),
              height: 30,
              width: 30,
              child: Center(child: Icon(Icons.arrow_back_ios,color: Colors.white,)),
            ),
            centerTitle: true,
            elevation: 0.0,
            title: Text("Live Line",style: GoogleFonts.roboto(color: Colors.white,fontWeight: FontWeight.bold,fontSize: 20),),
            actions: <Widget>[
              IconButton(onPressed: (){}, icon: Icon(Icons.search),color: Colors.white,)
            ],
            bottom: PreferredSize(
              preferredSize: _tabBar.preferredSize,
              child: ColoredBox(
                color: Color(0xfff4f5fc),
                child: _tabBar,
              ),
            )
        ),
        body: Container(
          height: context.height,
          width: context.width,
          color: Color(0xfff4f5fc),
          child: TabBarView(children: [
            ListView(children: [
              Container(
                width: context.width,
                height: 200,
                margin: const EdgeInsets.fromLTRB(20, 10, 20, 10),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.center,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                      Container(
                        padding:
                        const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                        child: TitleText(
                          "3rd Match, ODI",
                          fontSize: 15,
                          color: Colors.black,
                        ),
                      ),
                      Container(
                        padding: const EdgeInsets.fromLTRB(10.0, 5.0, 10.0, 5.0),
                        decoration: BoxDecoration(
                          color: Colors.red,
                          borderRadius: BorderRadius.only(topRight: Radius.circular(10.0))
                        ),
                        child: Row(
                          children: [
                            Image.asset("assets/images/tower.png",color: Colors.white,width: 20,),
                            SizedBox(width: 5,),
                            TitleText(
                              "Live".toUpperCase(),
                              fontSize: 13,
                              color: Colors.white,
                              fontWeight: FontWeight.bold,
                            ),
                          ],
                        ),
                      ),
                    ],),

                    Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      crossAxisAlignment: CrossAxisAlignment.center,
                      children: [
                        Column(
                          children: [
                            Image.asset("assets/images/homeoneflag.png",
                              width: 80,
                            ),
                            SizedBox(height: 5,),
                            TitleText("ZIMBABWE",
                              fontSize: 15,
                              color: Colors.black,
                            ),
                            Row(children: [
                              TitleText("150/10",
                                fontSize: 11,
                                color: Colors.black,
                              ),
                              TitleText("  (20 Over)",
                                fontSize: 9,
                                color: Colors.grey,
                                fontWeight: FontWeight.normal,
                              ),
                            ],)
                          ],
                        ),
                        SizedBox(width: 20,),
                        Image.asset(
                          "assets/images/homevs.png",
                          width: 45,
                          color: Colors.blue,
                        ),
                        SizedBox(width: 20,),
                        Column(
                          children: [
                            Image.asset("assets/images/hometwoflag.png",
                              width: 70,
                            ),
                            SizedBox(height: 5,),
                            TitleText("IRELAND",
                              fontSize: 15,
                              color: Colors.black,
                            ),
                            Row(children: [
                              TitleText("75/2",
                                fontSize: 11,
                                color: Colors.black,
                              ),
                              TitleText("  (10.5 Over)",
                                fontSize: 9,
                                color: Colors.grey,
                                fontWeight: FontWeight.normal,
                              ),
                            ],)
                          ],
                        ),
                      ],
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 10.0),
                          child: Row(
                            children: [
                              TitleText(
                                "CRR : ",
                                fontSize: 13,
                                color: Colors.black,
                                fontWeight: FontWeight.normal,
                              ),
                              TitleText(
                                "3.39",
                                fontSize: 13,
                                color: Colors.black,
                              ),
                            ],
                          ),
                        ),
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 10.0),
                          child: Row(
                            children: [
                              TitleText(
                                "Extra : ",
                                fontSize: 13,
                                color: Colors.black,
                                fontWeight: FontWeight.normal,
                              ),
                              TitleText(
                                "5",
                                fontSize: 13,
                                color: Colors.black,
                              ),
                            ],
                          ),
                        ),
                      ],),
                  ],
                ),
              ),
              Container(
                width: context.width,
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: AppColor.bgsplash,
                          borderRadius: BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "     BATSMAN",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(30.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "R",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "B",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "4s",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "6s",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "SR",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                        ],),
                    ),

                    Container(
                      height: 50,
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: Row(
                              children: [
                                Image.asset("assets/images/bat.png",color: AppColor.bgsplash,width: 20,),
                                
                                TitleText(
                                  "  Paul Stirling*",
                                  fontSize: 15,
                                  color: Colors.black,
                                  fontWeight: FontWeight.normal,
                                ),
                              ],
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "30",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "15",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "2",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "1",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "25.5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                    Container(
                      height: 1,
                      color: Colors.grey[300],
                    ),
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "   Kevin O'Brien",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "40",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "22",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "3",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "2",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "30.5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                  ],
                ),
              ),
              Container(
                width: context.width,
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: AppColor.bgsplash,
                          borderRadius: BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "     BOWLER",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(30.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "O",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "M",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "R",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "W",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "ECO",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                        ],),
                    ),
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: Row(
                              children: [
                                Image.asset("assets/images/ball.png",color: AppColor.bgsplash,width: 20,),
                                TitleText(
                                  "  Tendai Chatara",
                                  fontSize: 13,
                                  color: Colors.black,
                                  fontWeight: FontWeight.normal,
                                ),
                              ],
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "0",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "45",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "1",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "3.25",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                  ],
                ),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Partnership: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "22(30)",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Last Wicket: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Andrew Balbirnie lbw b tendai \nChatara in (10.5 Ov.)",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Recent Balls: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "... |0 0 0 2 0 1 | 6 4 2 2 1 2",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
            ],),
            ListView(children: [
              Container(
                width: context.width,
                height: 200,
                margin: const EdgeInsets.fromLTRB(20, 10, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.center,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                          child: TitleText(
                            "3rd Match, ODI",
                            fontSize: 15,
                            color: Colors.black,
                          ),
                        ),
                        Container(
                          padding: const EdgeInsets.fromLTRB(10.0, 5.0, 10.0, 5.0),
                          decoration: BoxDecoration(
                              color: Colors.red,
                              borderRadius: BorderRadius.only(topRight: Radius.circular(10.0))
                          ),
                          child: Row(
                            children: [
                              Icon(Icons.settings_input_antenna,color: Colors.white,size: 20,),
                              SizedBox(width: 5,),
                              TitleText(
                                "Live".toUpperCase(),
                                fontSize: 13,
                                color: Colors.white,
                                fontWeight: FontWeight.bold,
                              ),
                            ],
                          ),
                        ),
                      ],),

                    Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      crossAxisAlignment: CrossAxisAlignment.center,
                      children: [
                        Column(
                          children: [
                            Image.asset("assets/images/homeoneflag.png",
                              width: 80,
                            ),
                            SizedBox(height: 5,),
                            TitleText("ZIMBABWE",
                              fontSize: 15,
                              color: Colors.black,
                            ),
                            Row(children: [
                              TitleText("150/10",
                                fontSize: 11,
                                color: Colors.black,
                              ),
                              TitleText("  (20 Over)",
                                fontSize: 9,
                                color: Colors.grey,
                                fontWeight: FontWeight.normal,
                              ),
                            ],)
                          ],
                        ),
                        SizedBox(width: 20,),
                        Image.asset(
                          "assets/images/homevs.png",
                          width: 45,
                          color: Colors.blue,
                        ),
                        SizedBox(width: 20,),
                        Column(
                          children: [
                            Image.asset("assets/images/hometwoflag.png",
                              width: 70,
                            ),
                            SizedBox(height: 5,),
                            TitleText("IRELAND",
                              fontSize: 15,
                              color: Colors.black,
                            ),
                            Row(children: [
                              TitleText("75/2",
                                fontSize: 11,
                                color: Colors.black,
                              ),
                              TitleText("  (10.5 Over)",
                                fontSize: 9,
                                color: Colors.grey,
                                fontWeight: FontWeight.normal,
                              ),
                            ],)
                          ],
                        ),
                      ],
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 10.0),
                          child: Row(
                            children: [
                              TitleText(
                                "CRR : ",
                                fontSize: 13,
                                color: Colors.black,
                                fontWeight: FontWeight.normal,
                              ),
                              TitleText(
                                "3.39",
                                fontSize: 13,
                                color: Colors.black,
                              ),
                            ],
                          ),
                        ),
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 10.0),
                          child: Row(
                            children: [
                              TitleText(
                                "Extra : ",
                                fontSize: 13,
                                color: Colors.black,
                                fontWeight: FontWeight.normal,
                              ),
                              TitleText(
                                "5",
                                fontSize: 13,
                                color: Colors.black,
                              ),
                            ],
                          ),
                        ),
                      ],),
                  ],
                ),
              ),
              Container(
                width: context.width,
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: AppColor.bgsplash,
                          borderRadius: BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "BATSMAN",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(30.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "R",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "B",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "4s",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "6s",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "SR",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                        ],),
                    ),

                    Container(
                      height: 50,
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "Paul Stirling*",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "30",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "15",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "2",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "1",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "25.5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                    Container(
                      height: 1,
                      color: Colors.grey[300],
                    ),
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "Kevin O'Brien",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "40",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "22",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "3",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "2",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "30.5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                  ],
                ),
              ),
              Container(
                width: context.width,
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: AppColor.bgsplash,
                          borderRadius: BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "BOWLER",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(30.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "O",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "M",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "R",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "W",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "ECO",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                        ],),
                    ),
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "Tendai Chatara",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "0",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "45",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "1",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "3.25",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                  ],
                ),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Partnership: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "22(30)",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Last Wicket: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Andrew Balbirnie lbw b tendai \nChatara in (10.5 Ov.)",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Recent Balls: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "... |0 0 0 2 0 1 | 6 4 2 2 1 2",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
            ],),
            ListView(children: [
              Container(
                width: context.width,
                height: 200,
                margin: const EdgeInsets.fromLTRB(20, 10, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.center,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                          child: TitleText(
                            "3rd Match, ODI",
                            fontSize: 15,
                            color: Colors.black,
                          ),
                        ),
                        Container(
                          padding: const EdgeInsets.fromLTRB(10.0, 5.0, 10.0, 5.0),
                          decoration: BoxDecoration(
                              color: Colors.red,
                              borderRadius: BorderRadius.only(topRight: Radius.circular(10.0))
                          ),
                          child: Row(
                            children: [
                              Icon(Icons.settings_input_antenna,color: Colors.white,size: 20,),
                              SizedBox(width: 5,),
                              TitleText(
                                "Live".toUpperCase(),
                                fontSize: 13,
                                color: Colors.white,
                                fontWeight: FontWeight.bold,
                              ),
                            ],
                          ),
                        ),
                      ],),

                    Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      crossAxisAlignment: CrossAxisAlignment.center,
                      children: [
                        Column(
                          children: [
                            Image.asset("assets/images/homeoneflag.png",
                              width: 80,
                            ),
                            SizedBox(height: 5,),
                            TitleText("ZIMBABWE",
                              fontSize: 15,
                              color: Colors.black,
                            ),
                            Row(children: [
                              TitleText("150/10",
                                fontSize: 11,
                                color: Colors.black,
                              ),
                              TitleText("  (20 Over)",
                                fontSize: 9,
                                color: Colors.grey,
                                fontWeight: FontWeight.normal,
                              ),
                            ],)
                          ],
                        ),
                        SizedBox(width: 20,),
                        Image.asset(
                          "assets/images/homevs.png",
                          width: 45,
                          color: Colors.blue,
                        ),
                        SizedBox(width: 20,),
                        Column(
                          children: [
                            Image.asset("assets/images/hometwoflag.png",
                              width: 70,
                            ),
                            SizedBox(height: 5,),
                            TitleText("IRELAND",
                              fontSize: 15,
                              color: Colors.black,
                            ),
                            Row(children: [
                              TitleText("75/2",
                                fontSize: 11,
                                color: Colors.black,
                              ),
                              TitleText("  (10.5 Over)",
                                fontSize: 9,
                                color: Colors.grey,
                                fontWeight: FontWeight.normal,
                              ),
                            ],)
                          ],
                        ),
                      ],
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 10.0),
                          child: Row(
                            children: [
                              TitleText(
                                "CRR : ",
                                fontSize: 13,
                                color: Colors.black,
                                fontWeight: FontWeight.normal,
                              ),
                              TitleText(
                                "3.39",
                                fontSize: 13,
                                color: Colors.black,
                              ),
                            ],
                          ),
                        ),
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 10.0),
                          child: Row(
                            children: [
                              TitleText(
                                "Extra : ",
                                fontSize: 13,
                                color: Colors.black,
                                fontWeight: FontWeight.normal,
                              ),
                              TitleText(
                                "5",
                                fontSize: 13,
                                color: Colors.black,
                              ),
                            ],
                          ),
                        ),
                      ],),
                  ],
                ),
              ),
              Container(
                width: context.width,
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: AppColor.bgsplash,
                          borderRadius: BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "BATSMAN",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(30.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "R",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "B",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "4s",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "6s",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "SR",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                        ],),
                    ),

                    Container(
                      height: 50,
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "Paul Stirling*",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "30",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "15",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "2",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "1",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "25.5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                    Container(
                      height: 1,
                      color: Colors.grey[300],
                    ),
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "Kevin O'Brien",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "40",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "22",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "3",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "2",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "30.5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                  ],
                ),
              ),
              Container(
                width: context.width,
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: AppColor.bgsplash,
                          borderRadius: BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "BOWLER",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(30.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "O",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "M",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "R",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "W",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "ECO",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                        ],),
                    ),
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "Tendai Chatara",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "0",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "45",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "1",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "3.25",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                  ],
                ),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Partnership: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "22(30)",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Last Wicket: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Andrew Balbirnie lbw b tendai \nChatara in (10.5 Ov.)",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Recent Balls: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "... |0 0 0 2 0 1 | 6 4 2 2 1 2",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
            ],),
            ListView(children: [
              Container(
                width: context.width,
                height: 200,
                margin: const EdgeInsets.fromLTRB(20, 10, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.center,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                          child: TitleText(
                            "3rd Match, ODI",
                            fontSize: 15,
                            color: Colors.black,
                          ),
                        ),
                        Container(
                          padding: const EdgeInsets.fromLTRB(10.0, 5.0, 10.0, 5.0),
                          decoration: BoxDecoration(
                              color: Colors.red,
                              borderRadius: BorderRadius.only(topRight: Radius.circular(10.0))
                          ),
                          child: Row(
                            children: [
                              Icon(Icons.settings_input_antenna,color: Colors.white,size: 20,),
                              SizedBox(width: 5,),
                              TitleText(
                                "Live".toUpperCase(),
                                fontSize: 13,
                                color: Colors.white,
                                fontWeight: FontWeight.bold,
                              ),
                            ],
                          ),
                        ),
                      ],),

                    Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      crossAxisAlignment: CrossAxisAlignment.center,
                      children: [
                        Column(
                          children: [
                            Image.asset("assets/images/homeoneflag.png",
                              width: 80,
                            ),
                            SizedBox(height: 5,),
                            TitleText("ZIMBABWE",
                              fontSize: 15,
                              color: Colors.black,
                            ),
                            Row(children: [
                              TitleText("150/10",
                                fontSize: 11,
                                color: Colors.black,
                              ),
                              TitleText("  (20 Over)",
                                fontSize: 9,
                                color: Colors.grey,
                                fontWeight: FontWeight.normal,
                              ),
                            ],)
                          ],
                        ),
                        SizedBox(width: 20,),
                        Image.asset(
                          "assets/images/homevs.png",
                          width: 45,
                          color: Colors.blue,
                        ),
                        SizedBox(width: 20,),
                        Column(
                          children: [
                            Image.asset("assets/images/hometwoflag.png",
                              width: 70,
                            ),
                            SizedBox(height: 5,),
                            TitleText("IRELAND",
                              fontSize: 15,
                              color: Colors.black,
                            ),
                            Row(children: [
                              TitleText("75/2",
                                fontSize: 11,
                                color: Colors.black,
                              ),
                              TitleText("  (10.5 Over)",
                                fontSize: 9,
                                color: Colors.grey,
                                fontWeight: FontWeight.normal,
                              ),
                            ],)
                          ],
                        ),
                      ],
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 10.0),
                          child: Row(
                            children: [
                              TitleText(
                                "CRR : ",
                                fontSize: 13,
                                color: Colors.black,
                                fontWeight: FontWeight.normal,
                              ),
                              TitleText(
                                "3.39",
                                fontSize: 13,
                                color: Colors.black,
                              ),
                            ],
                          ),
                        ),
                        Container(
                          padding:
                          const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 10.0),
                          child: Row(
                            children: [
                              TitleText(
                                "Extra : ",
                                fontSize: 13,
                                color: Colors.black,
                                fontWeight: FontWeight.normal,
                              ),
                              TitleText(
                                "5",
                                fontSize: 13,
                                color: Colors.black,
                              ),
                            ],
                          ),
                        ),
                      ],),
                  ],
                ),
              ),
              Container(
                width: context.width,
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: AppColor.bgsplash,
                          borderRadius: BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "BATSMAN",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(30.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "R",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "B",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "4s",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "6s",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "SR",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                        ],),
                    ),

                    Container(
                      height: 50,
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "Paul Stirling*",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "30",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "15",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "2",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "1",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "25.5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                    Container(
                      height: 1,
                      color: Colors.grey[300],
                    ),
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "Kevin O'Brien",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "40",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "22",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "3",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "2",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "30.5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                  ],
                ),
              ),
              Container(
                width: context.width,
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: AppColor.bgsplash,
                          borderRadius: BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "BOWLER",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(30.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "O",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "M",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "R",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "W",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "ECO",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                          ),
                        ],),
                    ),
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "Tendai Chatara",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "5",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "0",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "45",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "1",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),

                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(10.0, 0.0, 10.0, 0.0),
                            child: TitleText(
                              "3.25",
                              fontSize: 15,
                              color: Colors.black,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ],),
                    ),
                  ],
                ),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Partnership: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "22(30)",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Last Wicket: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Andrew Balbirnie lbw b tendai \nChatara in (10.5 Ov.)",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
              Container(
                margin: const EdgeInsets.fromLTRB(20, 0, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "Recent Balls: ",
                        fontSize: 15,
                        color: Colors.grey,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                    Container(
                      padding:
                      const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                      child: TitleText(
                        "... |0 0 0 2 0 1 | 6 4 2 2 1 2",
                        fontSize: 13,
                        color: Colors.black,
                      ),
                    ),
                  ],),
              ),
            ],),
          ]),
        ),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return SizedBox(height: context.height ,
      child: _recentMatches(),);
  }
}
