import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:task28/model/matches_model.dart';
import 'package:task28/ui/title_text.dart';
import 'package:task28/unit/color.dart';
import 'package:task28/unit/config.dart';


class MatchesScreen extends StatefulWidget {
  const MatchesScreen({Key? key}) : super(key: key);

  @override
  _MatchesScreenState createState() => _MatchesScreenState();
}

class _MatchesScreenState extends State<MatchesScreen> {

  TabBar get _tabBar => TabBar(
    labelColor: AppColor.bgsplash,
    unselectedLabelColor: Colors.grey,
    tabs: [
      Tab(text: "All",),
      Tab(text: "ODI",),
      Tab(text: "T20",),
      Tab(text: "Test",),
    ],
  );

 late TabController _tabController;
  Widget _recentMatches() {
    return DefaultTabController(
      length: 4,
      child: Scaffold(
        appBar: AppBar(

          backgroundColor: AppColor.bgsplash,
          leading: Container(
            padding: const EdgeInsets.all(15.0),
            height: 30,
            width: 30,
            child: Center(child: Icon(Icons.arrow_back_ios,color: Colors.white,)),
          ),
          centerTitle: true,
          elevation: 0.0,
          title: Text("Matches",style: GoogleFonts.roboto(color: Colors.white,fontWeight: FontWeight.bold,fontSize: 20),),
          actions: <Widget>[
            IconButton(onPressed: (){}, icon: Icon(Icons.search),color: Colors.white,)
          ],
          bottom: PreferredSize(
            preferredSize: _tabBar.preferredSize,
            child: ColoredBox(
              color: Color(0xfff4f5fc),
              child: _tabBar,
            ),
          )
        ),
        body: Container(
          height: context.height,
          width: context.width,
          child: TabBarView(children: [
            ListView.builder(
                shrinkWrap: true,
                scrollDirection: Axis.vertical,
                itemCount: MatchesDataModel.flutteritems.length,
                itemBuilder: (context, index) {

                  return Container(
                    width: context.width * 0.85,
                    height: 160,
                    padding:
                    const EdgeInsets.fromLTRB(10.0, 10.0, 10.0, 0.0),
                    margin: const EdgeInsets.fromLTRB(20, 10, 20, 10),
                    decoration: BoxDecoration(
                        color: Colors.white,
                        borderRadius: BorderRadius.all(Radius.circular(10.0)),
                        image: DecorationImage(
                            image: AssetImage("assets/images/flagbg.png"),
                            fit: BoxFit.cover
                        )
                    ),
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.center,
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        TitleText(
                          "IPL T20",
                          fontSize: 13,
                          color: Colors.black,
                          fontWeight: FontWeight.bold,
                        ),
                        Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          crossAxisAlignment: CrossAxisAlignment.center,
                          children: [
                            Image.asset(
                              MatchesDataModel
                                  .flutteritems[index].teamoneflag,
                              width: 60,
                            ),
                            Image.asset(
                              "assets/images/homevs.png",
                              width: 45,
                              color: Colors.blue,
                            ),
                            Image.asset(
                              MatchesDataModel
                                  .flutteritems[index].teamtwoflag,
                              width: 60,
                            ),
                          ],
                        ),
                        Align(
                          alignment: Alignment.center,
                          child: Container(
                            padding: const EdgeInsets.symmetric(horizontal: 15,vertical: 5),
                            decoration: BoxDecoration(
                                color: AppColor.bgsplash,
                                borderRadius: BorderRadius.only(topLeft:  Radius.circular(10.0),topRight: Radius.circular(10.0))
                            ),
                            child: TitleText(
                              "Mon 07:30 PM | 28 Nov 2021",
                              fontSize: 11,
                              color: Colors.white,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ),
                      ],
                    ),
                  );

                }),
            ListView.builder(
                shrinkWrap: true,
                scrollDirection: Axis.vertical,
                itemCount: MatchesDataModel.flutteritems.length,
                itemBuilder: (context, index) {

                  return Container(
                    width: context.width * 0.85,
                    height: 160,
                    padding:
                    const EdgeInsets.fromLTRB(10.0, 10.0, 10.0, 0.0),
                    margin: const EdgeInsets.fromLTRB(20, 10, 20, 10),
                    decoration: BoxDecoration(
                        color: Colors.white,
                        borderRadius: BorderRadius.all(Radius.circular(10.0)),
                        image: DecorationImage(
                            image: AssetImage("assets/images/flagbg.png"),
                            fit: BoxFit.cover
                        )
                    ),
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.center,
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        TitleText(
                          "IPL T20",
                          fontSize: 13,
                          color: Colors.black,
                          fontWeight: FontWeight.bold,
                        ),
                        Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          crossAxisAlignment: CrossAxisAlignment.center,
                          children: [
                            Image.asset(
                              MatchesDataModel
                                  .flutteritems[index].teamoneflag,
                              width: 60,
                            ),
                            Image.asset(
                              "assets/images/homevs.png",
                              width: 45,
                              color: Colors.blue,
                            ),
                            Image.asset(
                              MatchesDataModel
                                  .flutteritems[index].teamtwoflag,
                              width: 60,
                            ),
                          ],
                        ),
                        Align(
                          alignment: Alignment.center,
                          child: Container(
                            padding: const EdgeInsets.symmetric(horizontal: 15,vertical: 5),
                            decoration: BoxDecoration(
                                color: AppColor.bgsplash,
                                borderRadius: BorderRadius.only(topLeft:  Radius.circular(10.0),topRight: Radius.circular(10.0))
                            ),
                            child: TitleText(
                              "Mon 07:30 PM | 28 Nov 2021",
                              fontSize: 11,
                              color: Colors.white,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ),
                      ],
                    ),
                  );

                }),
            ListView.builder(
                shrinkWrap: true,
                scrollDirection: Axis.vertical,
                itemCount: MatchesDataModel.flutteritems.length,
                itemBuilder: (context, index) {

                  return Container(
                    width: context.width * 0.85,
                    height: 160,
                    padding:
                    const EdgeInsets.fromLTRB(10.0, 10.0, 10.0, 0.0),
                    margin: const EdgeInsets.fromLTRB(20, 10, 20, 10),
                    decoration: BoxDecoration(
                        color: Colors.white,
                        borderRadius: BorderRadius.all(Radius.circular(10.0)),
                        image: DecorationImage(
                            image: AssetImage("assets/images/flagbg.png"),
                            fit: BoxFit.cover
                        )
                    ),
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.center,
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        TitleText(
                          "IPL T20",
                          fontSize: 13,
                          color: Colors.black,
                          fontWeight: FontWeight.bold,
                        ),
                        Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          crossAxisAlignment: CrossAxisAlignment.center,
                          children: [
                            Image.asset(
                              MatchesDataModel
                                  .flutteritems[index].teamoneflag,
                              width: 60,
                            ),
                            Image.asset(
                              "assets/images/homevs.png",
                              width: 45,
                              color: Colors.blue,
                            ),
                            Image.asset(
                              MatchesDataModel
                                  .flutteritems[index].teamtwoflag,
                              width: 60,
                            ),
                          ],
                        ),
                        Align(
                          alignment: Alignment.center,
                          child: Container(
                            padding: const EdgeInsets.symmetric(horizontal: 15,vertical: 5),
                            decoration: BoxDecoration(
                                color: AppColor.bgsplash,
                                borderRadius: BorderRadius.only(topLeft:  Radius.circular(10.0),topRight: Radius.circular(10.0))
                            ),
                            child: TitleText(
                              "Mon 07:30 PM | 28 Nov 2021",
                              fontSize: 11,
                              color: Colors.white,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ),
                      ],
                    ),
                  );

                }),
            ListView.builder(
                shrinkWrap: true,
                scrollDirection: Axis.vertical,
                itemCount: MatchesDataModel.flutteritems.length,
                itemBuilder: (context, index) {

                  return Container(
                    width: context.width * 0.85,
                    height: 160,
                    padding:
                    const EdgeInsets.fromLTRB(10.0, 10.0, 10.0, 0.0),
                    margin: const EdgeInsets.fromLTRB(20, 10, 20, 10),
                    decoration: BoxDecoration(
                        color: Colors.white,
                        borderRadius: BorderRadius.all(Radius.circular(10.0)),
                        image: DecorationImage(
                            image: AssetImage("assets/images/flagbg.png"),
                            fit: BoxFit.cover
                        )
                    ),
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.center,
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        TitleText(
                          "IPL T20",
                          fontSize: 13,
                          color: Colors.black,
                          fontWeight: FontWeight.bold,
                        ),
                        Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          crossAxisAlignment: CrossAxisAlignment.center,
                          children: [
                            Image.asset(
                              MatchesDataModel
                                  .flutteritems[index].teamoneflag,
                              width: 60,
                            ),
                            Image.asset(
                              "assets/images/homevs.png",
                              width: 45,
                              color: Colors.blue,
                            ),
                            Image.asset(
                              MatchesDataModel
                                  .flutteritems[index].teamtwoflag,
                              width: 60,
                            ),
                          ],
                        ),
                        Align(
                          alignment: Alignment.center,
                          child: Container(
                            padding: const EdgeInsets.symmetric(horizontal: 15,vertical: 5),
                            decoration: BoxDecoration(
                                color: AppColor.bgsplash,
                                borderRadius: BorderRadius.only(topLeft:  Radius.circular(10.0),topRight: Radius.circular(10.0))
                            ),
                            child: TitleText(
                              "Mon 07:30 PM | 28 Nov 2021",
                              fontSize: 11,
                              color: Colors.white,
                              fontWeight: FontWeight.normal,
                            ),
                          ),
                        ),
                      ],
                    ),
                  );

                })
          ]),
        ),
      ),
    );
  }




  @override
  Widget build(BuildContext context) {
    return SizedBox(height: context.height ,
      child: _recentMatches(),);
  }
}
