import 'dart:developer';

import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:task28/items/appbar.dart';
import 'package:task28/model/seriesmodel.dart';
import 'package:task28/ui/title_text.dart';
import 'package:task28/unit/color.dart';
import 'package:task28/unit/config.dart';


class PlayerScreen extends StatefulWidget {
  const PlayerScreen({Key? key}) : super(key: key);

  @override
  _PlayerScreenState createState() => _PlayerScreenState();
}

class _PlayerScreenState extends State<PlayerScreen> {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: context.height,
      width: context.width,
      child: Column(children: [
        Container(
        height: 347.653,
        width: context.width,
          decoration: BoxDecoration(
            color: AppColor.bgsplash,
            image: DecorationImage(
              image: AssetImage("assets/images/msbg.png"),
              fit: BoxFit.cover
            )
          ),
          child: Column(children: [
            Container(
              height: 60,
              margin: const EdgeInsets.symmetric(vertical: 30),
              padding: const EdgeInsets.symmetric(horizontal: 20),
              child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Container(
                    padding: const EdgeInsets.all(5.0),

                    height: 30,
                    width: 30,
                    child: Center(child: Image.asset("assets/images/menu.png",color: Colors.white),),
                  ),
                  Container(
                    padding: const EdgeInsets.all(5.0),
                    child: Center(child: Text("Player Profile",style: GoogleFonts.roboto(color: Colors.white,fontWeight: FontWeight.bold,fontSize: 20),),),
                  ),
                  Container(
                    padding: const EdgeInsets.all(5.0),
                    height: 35,
                    width: 35,
                    child: Center(child: Image.asset("assets/images/search.png",color: Colors.white,),),
                  )


                ],),
            ),
            Align(
              alignment: Alignment.bottomLeft,
              child: Row(children: [
                Image.asset("assets/images/ms.png",width: 200,),
                Container(
                  height: 227,
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      SizedBox(height: 35,),
                    Row(children: [
                      TitleText("MS Dhoni",
                        fontSize: 15,
                        color: Colors.white,
                      ),
                      SizedBox(width: 5,),
                      TitleText("(Batsman)",
                        fontSize: 12,
                        color: Color(0XFFa8c4e9),
                      ),
                    ],),
                      TitleText("TEAM INDIA",
                        fontSize: 12,
                        color: Color(0XFFa8c4e9),
                      ),
                      SizedBox(height: 35,),
                      Container(
                        width: context.width - 220,
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: [
                          TitleText("Bating",
                            fontSize: 15,
                            color: Colors.white,
                          ),
                          SizedBox(width: 5,),
                          TitleText("80%",
                            fontSize: 12,
                            color: Color(0XFFa8c4e9),
                          ),
                        ],),
                      ),
                      SizedBox(height: 5,),
                      Container(
                          width: context.width - 220,
                          child:  LinearProgressIndicator(
                            value: 0.8,
                            valueColor: new AlwaysStoppedAnimation<Color>(Colors.white),
                            backgroundColor: Color(0xffa8c4e9),
                          )
                      ),
                      SizedBox(height: 25,),
                      Container(
                        width: context.width - 220,
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: [
                            TitleText("WC",
                              fontSize: 15,
                              color: Colors.white,
                            ),
                            SizedBox(width: 5,),
                            TitleText("90%",
                              fontSize: 12,
                              color: Color(0XFFa8c4e9),
                            ),
                          ],),
                      ),
                      SizedBox(height: 5,),
                      Container(
                        width: context.width - 220,
                        child:  LinearProgressIndicator(
                          value: 0.9,
                          valueColor: new AlwaysStoppedAnimation<Color>(Colors.white),
                          backgroundColor: Color(0xffa8c4e9),
                        )
                      ),
                  ],),
                )
              ],),
            )
          ],),

        ),
        Container(
          height: context.height -425,
          width: context.width,
          padding: const EdgeInsets.symmetric(horizontal: 20),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Container(
                margin: const EdgeInsets.symmetric(vertical: 20),
                child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Column(children: [
                    TitleText("PROBABILITY",
                      fontSize: 10,
                      color: Colors.grey,
                    ),
                    SizedBox(height: 5,),
                    TitleText("72%",
                      fontSize: 12,
                      color: Colors.black,
                    ),
                  ],),
                  Column(children: [
                    TitleText("CREDITS",
                      fontSize: 10,
                      color: Colors.grey,
                    ),
                    SizedBox(height: 5,),
                    TitleText("8.5",
                      fontSize: 12,
                      color: Colors.black,
                    ),
                  ],),
                  Column(children: [
                    TitleText("TOTAL POINTS",
                      fontSize: 10,
                      color: Colors.grey,
                    ),
                    SizedBox(height: 5,),
                    TitleText("82",
                      fontSize: 12,
                      color: Colors.black,
                    ),
                  ],),

              ],),),
              Container(
                child: const TitleText(
                  'Series Fantacy Stats',
                  fontSize: 20,
                ),
              ),
              Container(
                width: context.width,
                margin: const EdgeInsets.fromLTRB(0, 20, 0, 10),
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(10.0)),

                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      height: 50,
                      decoration: BoxDecoration(
                          color: AppColor.bgsplash,
                          borderRadius: BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0))
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                            child: TitleText(
                              "Match",
                              fontSize: 15,
                              color: Color(0xffcadffa),
                            ),
                          ),
                          Container(
                            child: TitleText(
                              "Points",
                              fontSize: 15,
                              color: Color(0xffcadffa),
                            ),
                          ),
                          Container(
                            padding:
                            const EdgeInsets.fromLTRB(0.0, 0.0, 20.0, 0.0),
                            child: TitleText(
                              "Selected By",
                              fontSize: 15,
                              color: Color(0xffcadffa),
                            ),
                          ),
                        ],),
                    ),


                    Container(
                      height: 200,
                      child:  Align(
                        alignment: Alignment.topCenter,
                        child: ListView.builder(
                          shrinkWrap: true,
                            scrollDirection: Axis.vertical,
                            itemCount: FeaturedSeriesDataModel.flutteritemsthe.length,
                            itemBuilder: (context, index) {


                              if(index % 2 == 0){
                                return Container(
                                  height: 40,
                                  color: Color(0xfff3f3f3),
                                  child: Row(
                                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                                    crossAxisAlignment: CrossAxisAlignment.center,
                                    children: [
                                      Container(
                                        padding:
                                        const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                                        child: TitleText(
                                          FeaturedSeriesDataModel.flutteritemsthe[index].title,
                                          fontSize: 11,
                                          color: Colors.black,
                                          fontWeight: FontWeight.bold,
                                        ),
                                      ),
                                      Container(
                                        child: TitleText(
                                          FeaturedSeriesDataModel.flutteritemsthe[index].subtitle,
                                          fontSize: 11,
                                          color: Colors.black,
                                          fontWeight: FontWeight.bold,
                                        ),
                                      ),
                                      Container(
                                        padding:
                                        const EdgeInsets.fromLTRB(0.0, 0.0, 20.0, 0.0),
                                        child: TitleText(
                                          FeaturedSeriesDataModel.flutteritemsthe[index].teamoneflag,
                                          fontSize: 11,
                                          color: Colors.black,
                                          fontWeight: FontWeight.bold,
                                        ),
                                      ),
                                    ],),
                                );
                              }else
                                {
                                  return Container(
                                    height: 40,
                                    color: Colors.white,
                                    child: Row(
                                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                                      crossAxisAlignment: CrossAxisAlignment.center,
                                      children: [
                                        Container(
                                          padding:
                                          const EdgeInsets.fromLTRB(20.0, 0.0, 0.0, 0.0),
                                          child: TitleText(
                                            FeaturedSeriesDataModel.flutteritemsthe[index].title,
                                            fontSize: 11,
                                            color: Colors.black,
                                            fontWeight: FontWeight.bold,
                                          ),
                                        ),
                                        Container(
                                          child: TitleText(
                                            FeaturedSeriesDataModel.flutteritemsthe[index].subtitle,
                                            fontSize: 11,
                                            color: Colors.black,
                                            fontWeight: FontWeight.bold,
                                          ),
                                        ),
                                        Container(
                                          padding:
                                          const EdgeInsets.fromLTRB(0.0, 0.0, 20.0, 0.0),
                                          child: TitleText(
                                            FeaturedSeriesDataModel.flutteritemsthe[index].teamoneflag,
                                            fontSize: 11,
                                            color: Colors.black,
                                            fontWeight: FontWeight.bold,
                                          ),
                                        ),
                                      ],),
                                  );
                                }


                            }),
                      ),
                    ),
                  ],
                ),
              ),

          ],),
        ),
      ],),
    );
  }
}
