import 'package:flutter/material.dart';
import 'package:task28/model/featuredVideos.dart';
import 'package:task28/model/recent_matches.dart';
import 'package:task28/ui/title_text.dart';
import 'package:task28/unit/color.dart';


class ProtfolioScreen extends StatefulWidget {
  const ProtfolioScreen({Key? key}) : super(key: key);

  @override
  _ProtfolioScreenState createState() => _ProtfolioScreenState();
}

class _ProtfolioScreenState extends State<ProtfolioScreen> {
  ScrollController scrollController = ScrollController();


  Widget _recentMatches() {
    return SizedBox(
      width: context.width,
      height: 150,
      child: ListView.builder(
          shrinkWrap: true,
          scrollDirection: Axis.horizontal,
          itemCount: RecentMatchesDataModel.flutteritems.length,
          itemBuilder: (context, index) {
            if (index == 0) {
              return Container(
                width: context.width * 0.85,
                padding:
                const EdgeInsets.symmetric(horizontal: 10, vertical: 10),
                margin: const EdgeInsets.fromLTRB(20, 0, 10, 0),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.all(Radius.circular(10.0))),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    TitleText(
                      RecentMatchesDataModel.flutteritems[index].title,
                      fontSize: 13,
                      color: Colors.grey,
                      fontWeight: FontWeight.bold,
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      crossAxisAlignment: CrossAxisAlignment.center,
                      children: [
                        Row(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            Column(
                              children: [
                                Image.asset(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamoneflag,
                                  width: 50,
                                ),
                                SizedBox(
                                  height: 5,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamonename,
                                  fontSize: 9,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.bold,
                                ),
                              ],
                            ),
                            SizedBox(
                              width: 5,
                            ),
                            Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                SizedBox(
                                  height: 10,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamonesocor,
                                  fontSize: 18,
                                  color: Colors.black,
                                  fontWeight: FontWeight.bold,
                                ),
                                SizedBox(
                                  height: 2,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamoneover,
                                  fontSize: 12,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.normal,
                                ),
                              ],
                            ),
                          ],
                        ),
                        Image.asset(
                          "assets/images/homevs.png",
                          width: 45,
                          color: Colors.blue,
                        ),
                        Row(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                SizedBox(
                                  height: 10,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwosocor,
                                  fontSize: 18,
                                  color: Colors.black,
                                  fontWeight: FontWeight.bold,
                                ),
                                SizedBox(
                                  height: 2,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwoover,
                                  fontSize: 12,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.normal,
                                ),
                              ],
                            ),
                            SizedBox(
                              width: 5,
                            ),
                            Column(
                              children: [
                                Image.asset(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwoflag,
                                  width: 50,
                                ),
                                SizedBox(
                                  height: 5,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwoname,
                                  fontSize: 9,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.bold,
                                ),
                              ],
                            ),
                          ],
                        ),
                      ],
                    ),
                    Align(
                      alignment: Alignment.center,
                      child: TitleText(
                        RecentMatchesDataModel.flutteritems[index].subtitle,
                        fontSize: 13,
                        color: Colors.red,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                  ],
                ),
              );
            } else if (index ==
                RecentMatchesDataModel.flutteritems.length - 1) {
              return Container(
                width: context.width * 0.85,
                padding:
                const EdgeInsets.symmetric(horizontal: 10, vertical: 10),
                margin: const EdgeInsets.fromLTRB(0, 0, 20, 0),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.all(Radius.circular(10.0))),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    TitleText(
                      RecentMatchesDataModel.flutteritems[index].title,
                      fontSize: 13,
                      color: Colors.grey,
                      fontWeight: FontWeight.bold,
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      crossAxisAlignment: CrossAxisAlignment.center,
                      children: [
                        Row(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            Column(
                              children: [
                                Image.asset(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamoneflag,
                                  width: 50,
                                ),
                                SizedBox(
                                  height: 5,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamonename,
                                  fontSize: 9,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.bold,
                                ),
                              ],
                            ),
                            SizedBox(
                              width: 5,
                            ),
                            Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                SizedBox(
                                  height: 10,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamonesocor,
                                  fontSize: 18,
                                  color: Colors.black,
                                  fontWeight: FontWeight.bold,
                                ),
                                SizedBox(
                                  height: 2,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamoneover,
                                  fontSize: 12,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.normal,
                                ),
                              ],
                            ),
                          ],
                        ),
                        Image.asset(
                          "assets/images/homevs.png",
                          width: 45,
                          color: Colors.blue,
                        ),
                        Row(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                SizedBox(
                                  height: 10,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwosocor,
                                  fontSize: 18,
                                  color: Colors.black,
                                  fontWeight: FontWeight.bold,
                                ),
                                SizedBox(
                                  height: 2,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwoover,
                                  fontSize: 12,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.normal,
                                ),
                              ],
                            ),
                            SizedBox(
                              width: 5,
                            ),
                            Column(
                              children: [
                                Image.asset(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwoflag,
                                  width: 50,
                                ),
                                SizedBox(
                                  height: 5,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwoname,
                                  fontSize: 9,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.bold,
                                ),
                              ],
                            ),
                          ],
                        ),
                      ],
                    ),
                    Align(
                      alignment: Alignment.center,
                      child: TitleText(
                        RecentMatchesDataModel.flutteritems[index].subtitle,
                        fontSize: 13,
                        color: Colors.red,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                  ],
                ),
              );
            } else {
              return Container(
                width: context.width * 0.85,
                padding:
                const EdgeInsets.symmetric(horizontal: 10, vertical: 10),
                margin: const EdgeInsets.fromLTRB(0, 0, 10, 0),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.all(Radius.circular(10.0))),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    TitleText(
                      RecentMatchesDataModel.flutteritems[index].title,
                      fontSize: 13,
                      color: Colors.grey,
                      fontWeight: FontWeight.bold,
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      crossAxisAlignment: CrossAxisAlignment.center,
                      children: [
                        Row(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            Column(
                              children: [
                                Image.asset(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamoneflag,
                                  width: 50,
                                ),
                                SizedBox(
                                  height: 5,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamonename,
                                  fontSize: 9,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.bold,
                                ),
                              ],
                            ),
                            SizedBox(
                              width: 5,
                            ),
                            Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                SizedBox(
                                  height: 10,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamonesocor,
                                  fontSize: 18,
                                  color: Colors.black,
                                  fontWeight: FontWeight.bold,
                                ),
                                SizedBox(
                                  height: 2,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamoneover,
                                  fontSize: 12,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.normal,
                                ),
                              ],
                            ),
                          ],
                        ),
                        Image.asset(
                          "assets/images/homevs.png",
                          width: 45,
                          color: Colors.blue,
                        ),
                        Row(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                SizedBox(
                                  height: 10,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwosocor,
                                  fontSize: 18,
                                  color: Colors.black,
                                  fontWeight: FontWeight.bold,
                                ),
                                SizedBox(
                                  height: 2,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwoover,
                                  fontSize: 12,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.normal,
                                ),
                              ],
                            ),
                            SizedBox(
                              width: 5,
                            ),
                            Column(
                              children: [
                                Image.asset(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwoflag,
                                  width: 50,
                                ),
                                SizedBox(
                                  height: 5,
                                ),
                                TitleText(
                                  RecentMatchesDataModel
                                      .flutteritems[index].teamtwoname,
                                  fontSize: 9,
                                  color: Colors.grey,
                                  fontWeight: FontWeight.bold,
                                ),
                              ],
                            ),
                          ],
                        ),
                      ],
                    ),
                    Align(
                      alignment: Alignment.center,
                      child: TitleText(
                        RecentMatchesDataModel.flutteritems[index].subtitle,
                        fontSize: 13,
                        color: Colors.red,
                        fontWeight: FontWeight.normal,
                      ),
                    ),
                  ],
                ),
              );
            }
          }),
    );
  }

  Widget _top() {
    return Container(
      height: 180,
      width: context.width,
      margin: const EdgeInsets.symmetric(horizontal: 20, vertical: 20),
      decoration: BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.all(Radius.circular(10)),
          image: DecorationImage(
              image: AssetImage("assets/images/homefrant.jpg"),
              fit: BoxFit.cover)),
      child: Align(
        alignment: Alignment.bottomLeft,
        child: Container(
          width: context.width,
          padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 10),
          decoration: BoxDecoration(
            color: Color(0x70000000),
            borderRadius: BorderRadius.all(Radius.circular(10)),
          ),
          child: TitleText(
            'CSK beaat KKR in the IPL 2021',
            fontSize: 15,
            fontWeight: FontWeight.bold,
            color: Colors.white,
          ),
        ),
      ),
    );
  }

  Widget _featuredVideos() {
    return SizedBox(
      width: context.width,
      height: 200,
      child: ListView.builder(
          shrinkWrap: true,
          scrollDirection: Axis.horizontal,
          itemCount: FeaturedVideosDataModel.flutteritems.length,
          itemBuilder: (context, index) {
            if(index == 0){
              return Container(
                width: context.width * 0.4,
                margin: const EdgeInsets.fromLTRB(20, 0, 0, 0),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.all(Radius.circular(10.0))),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Container(
                      height: 100,
                      width: context.width * 0.4,
                      decoration: BoxDecoration(
                          color: Colors.black,
                          borderRadius:
                          BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0)),
                          image: DecorationImage(
                              image: AssetImage(FeaturedVideosDataModel.flutteritems[index].teamoneflag),
                              fit: BoxFit.cover
                          )
                      ),
                      child: Center(child: Image.asset("assets/images/homeplay.png",color: Colors.white,width: 40,height: 40,),),
                    ),
                    Container(
                      height: 100,
                      width: context.width * 0.4,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius:
                          BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
                      ),
                      child: Padding(padding: const EdgeInsets.all(10),
                        child: Column(children: [
                          TitleText(FeaturedVideosDataModel.flutteritems[index].title,
                            fontSize: 12,
                          ),
                          SizedBox(height: 5,),
                          TitleText("Lorem Ipum is simply dummy text of the printing",
                            fontSize: 10,
                            color: Colors.grey,
                            fontWeight: FontWeight.normal,
                          ),
                        ],),),
                    ),
                  ],
                ),
              );
            }else {
              return Container(
                width: context.width * 0.4,
                margin: const EdgeInsets.fromLTRB(10, 0, 0, 0),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.all(Radius.circular(10.0))),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Container(
                      height: 100,
                      width: context.width * 0.4,
                      decoration: BoxDecoration(
                          color: Colors.black,
                          borderRadius:
                          BorderRadius.only(topRight: Radius.circular(10.0),topLeft: Radius.circular(10.0)),
                          image: DecorationImage(
                              image: AssetImage(FeaturedVideosDataModel.flutteritems[index].teamoneflag),
                              fit: BoxFit.cover
                          )
                      ),
                      child: Center(child: Image.asset("assets/images/homeplay.png",color: Colors.white,width: 40,height: 40,),),
                    ),
                    Container(
                      height: 100,
                      width: context.width * 0.4,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius:
                          BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
                      ),
                      child: Padding(padding: const EdgeInsets.all(10),
                        child: Column(children: [
                          TitleText(FeaturedVideosDataModel.flutteritems[index].title,
                            fontSize: 12,
                          ),
                          SizedBox(height: 5,),
                          TitleText("Lorem Ipum is simply dummy text of the printing",
                            fontSize: 10,
                            color: Colors.grey,
                            fontWeight: FontWeight.normal,
                          ),
                        ],),),
                    ),
                  ],
                ),
              );
            }

          }),
    );
  }
  @override
  Widget build(BuildContext context) {
    return SizedBox(height: context.height *0.8 -7,
      child: ListView(
        controller: scrollController,
        children: [

          const SizedBox(
            height: 10,
          ),
          Container(
            padding: const EdgeInsets.symmetric(horizontal: 20),
            child: const TitleText(
              'Recent Matches',
              fontSize: 20,
            ),
          ),
          const SizedBox(
            height: 10,
          ),
          _recentMatches(),
          const SizedBox(
            height: 20,
          ),
          Container(
            padding: const EdgeInsets.symmetric(horizontal: 20),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                const TitleText(
                  'Top Stories',
                  fontSize: 20,
                ),
                const TitleText(
                  'View More',
                  fontSize: 15,
                  fontWeight: FontWeight.normal,
                  color: Colors.blue,
                ),
              ],
            ),
          ),
          _top(),
          Container(
            padding: const EdgeInsets.symmetric(horizontal: 20),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                const TitleText(
                  'Featured Videos',
                  fontSize: 20,
                ),
                const TitleText(
                  'View More',
                  fontSize: 15,
                  fontWeight: FontWeight.normal,
                  color: Colors.blue,
                ),
              ],
            ),
          ),
          const SizedBox(
            height: 20,
          ),
          _featuredVideos(),
          const SizedBox(
            height: 20,
          ),
        ],
      ),);
  }
}
