import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:task28/items/bottom_navigator.dart';
import 'package:task28/screen/home.dart';
import 'package:task28/screen/liveline.dart';
import 'package:task28/screen/matches.dart';
import 'package:task28/screen/playerscreen.dart';
import 'package:task28/screen/protfolio.dart';
import 'package:task28/unit/color.dart';
import 'package:task28/unit/config.dart';

class SplashScreen extends StatefulWidget {
  const SplashScreen({Key? key}) : super(key: key);

  @override
  _SplashScreenState createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  @override
  void initState() {
    WidgetsBinding.instance!.addPostFrameCallback((_) {
      timer();
    });
    super.initState();
  }

  /// Check if current app is updated app or not
  /// If app is not updated then redirect user to update app screen
  void timer() async {

      Future.delayed(const Duration(seconds: 1)).then((_) {
        setState(() {
          check = true;
        });
      });

  }
  late bool check = false;
  Widget _img(){
    return Image.asset("assets/images/splash.png",width: 125,color: Colors.white,);
  }
  Widget _label(){
    return Text("Cricket",style: GoogleFonts.roboto(
      textStyle: TextStyle(color: Colors.white, letterSpacing: .5,fontSize: 25,fontWeight: FontWeight.bold),
    ),);
  }

  Widget _labelTwo(){
    return Text("Mazza 11",style: GoogleFonts.roboto(
      textStyle: TextStyle(color: Colors.white, letterSpacing: .5,fontSize: 25,fontWeight: FontWeight.bold),
    ),);
  }


  int press = 1;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      bottomNavigationBar: Visibility(
        visible: check,
        child: BottomNavigatorScreen( press: (newDateTime) {
          setState(() {
            press = newDateTime;
            print("press =     "+press.toString());
          });

        },),
      ),
      appBar: press == 2? null :press == 3? null: press == 4? null: check ? AppBar(
        backgroundColor: AppColor.bgsplash,
        leading: Container(
          padding: const EdgeInsets.all(15.0),
          height: 30,
          width: 30,
          child: Center(child: Image.asset("assets/images/menu.png",color: Colors.white),),
        ),
        centerTitle: true,
        elevation: 0.0,
        title: Text(Config.supportHome,style: GoogleFonts.roboto(color: Colors.white,fontWeight: FontWeight.bold,fontSize: 20),),
        actions: <Widget>[
          IconButton(onPressed: (){}, icon: Icon(Icons.search),color: Colors.white,)
        ],
      ): null,
      backgroundColor: check == false ? Colors.blue:  Color(0xfff4f5fc),
      body: check == false ? Container(
        width: context.width,
        height: context.height,
        decoration: BoxDecoration(
          image: DecorationImage(
            image: AssetImage("assets/images/splashbg.png"),
            fit: BoxFit.cover
          )
        ),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            _img(),
            SizedBox(height: 5,),
            _label(),
            _labelTwo()

        ],),
      ) : press == 2? const MatchesScreen():press == 3? const LiveLineScreen():press == 4? const PlayerScreen():const HomeScreen(),
    );
  }
}
